1. Pay-Out
Mozarto - The Payments Orchestration Platform
  • 1. Introduction
  • 2. Quick Start
  • 3. Authentication
  • 4. Errors
  • 5. Redirect flow
    • Pay-In Flow
    • Pay-Out Flow
    • Webhook Setup
  • 6. Payment Providers (PSPs)
    • Overview
    • Brite
    • Cleo
    • Flexepin
    • ForumPay
    • Gigadat
    • Neosurf
    • PayOne
    • Trust Payments
    • Worldpay
  • 7. Redirect Flow APIs
    • Redirect Flow APIs - overview
    • Pay-In
      • Forumpay
      • Payone
      • WorldPay
      • Gigadat
    • Pay-Out
      • Forumpay
        POST
      • Payone
        POST
  • Schemas
    • TransactionData
  1. Pay-Out

Forumpay

Prod Env
https://backend.app.mozarto.io
Prod Env
https://backend.app.mozarto.io
POST
/v1/api/mozarto/cashier

Request

Header Params

Body Params application/json

Example
{
      "pspType": "FORUMPAY",
      "type": "PAYOUT",
      "isTestMode": false,
      "baseamount": 10.00,
      "currency": "EUR",
      "userId": "000000000000000000000001",
      "email": "merchant-user@example.com",
      "country": "GB",
      "preferredCrypto": "BTC",
      "walletAddress": "btc-1eda64a85da94d71a2ac5ed84e929553"
    }

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.app.mozarto.io/v1/api/mozarto/cashier' \
--header 'Authorization: Bearer {{COMPANY_TOKEN}}' \
--header 'x-user-token: Bearer {{USER_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
      "pspType": "FORUMPAY",
      "type": "PAYOUT",
      "isTestMode": false,
      "baseamount": 10.00,
      "currency": "EUR",
      "userId": "000000000000000000000001",
      "email": "merchant-user@example.com",
      "country": "GB",
      "preferredCrypto": "BTC",
      "walletAddress": "btc-1eda64a85da94d71a2ac5ed84e929553"
    }'

Responses

🟢200
application/json
Bodyapplication/json

Example
{
  "status": "success",
  "message": "Transaction is on hold",
  "isSuccess": true,
  "data": {
    "invoice_currency": "EUR",
    "invoice_amount": "13.00",
    "currency": "BTC",
    "payment_source": "cash",
    "wait_time": "20 minutes",
    "network_processing_fee": "0.00000735",
    "rate": "68899.7244",
    "amount_exchange": "0.00018868",
    "amount": 13,
    "fast_transaction_fee": "0.00001044",
    "fast_transaction_fee_currency": "BTC/kB",
    "payment_id": "1a52f405-5652-4fb6-b37f-538e1feb24d0",
    "reference_no": "6a01ed09b681e530b9f26584",
    "address": "btc-1eda64a85da94d71a2ac5ed84e929553",
    "access_token": "<forumpay-access-token>",
    "transactionId": "6a01ed09b681e530b9f26584",
    "merchantReference": ""
  }
}
🟠400
🔴500
Modified at 2026-05-11 15:24:55
Previous
Gigadat
Next
Payone
Built with